Skip to content
API Reference

Invitations

Create
organizations.invitations.create(strorganization_id, InvitationCreateParams**kwargs) -> Invitation
POST/organizations/{organization_id}/invitations
List
organizations.invitations.list(strorganization_id, InvitationListParams**kwargs) -> InvitationListResponse
GET/organizations/{organization_id}/invitations
Delete
organizations.invitations.delete(strinvitation_id, InvitationDeleteParams**kwargs)
DELETE/organizations/{organization_id}/invitations/{invitation_id}
ModelsExpand Collapse
class Invitation:
id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
created_at: datetime

The time the entity was created in utc

formatdate-time
created_by: str

ID of the user who created the invitation

minLength1
maxLength255
email: str

Email address for the invitation

formatemail
expires_at: datetime

When the invitation expires

formatdate-time
organization_id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255

Role that will be assigned when invitation is accepted

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"

Status of an invitation

Accepts one of the following:
"pending"
"accepted"
"expired"
"revoked"
updated_at: datetime

The time the entity was mostly recently updated in utc

formatdate-time
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Literal["pending", "accepted", "expired", "revoked"]

Status of an invitation

Accepts one of the following:
"pending"
"accepted"
"expired"
"revoked"